# DRMDtool

drmdtool is a utility for processing .drmd files using N_m3u8DL-RE.

## Configuration

Create a `config.toml` file in the same directory as the drmdtool executable:

```toml
BaseDir = "/path/to/save/downloads"
Format = "mkv"
TempBaseDir = "/tmp/nre"

[N_m3u8DL-RE]
Path = "/path/to/N_m3u8DL-RE"
```

Adjust the paths and format as needed. (mkv, mp4)

## Web UI Usage

1. Run the executable:
   ```
   ./drmdtool
   ```

2. Open a web browser and go to `http://localhost:8080`

3. Use the interface to upload .drmd files and monitor download progress


## CLI Usage

To process a file directly from the command line:

```
./drmdtool -f /path/to/file.drmd
```

This will download the file and save it in the base directory specified in the config.


# Previews

## Index Page

![Index Page](images/index.png)

## Select Page

![Select Page](images/select.png)

## Progress Page

![Progress Page](images/progress.png)
